Bug 93018 - Copying forms not working anymore
Summary: Copying forms not working anymore
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Base (show other bugs)
Version:
(earliest affected)
5.0.0.4 rc
Hardware: Other All
: high major
Assignee: Not Assigned
URL:
Whiteboard: target:5.1.0 target:5.0.1
Keywords: bibisected, bisected, regression
Depends on:
Blocks:
 
Reported: 2015-07-29 23:08 UTC by Gerhard Schaber
Modified: 2016-10-25 19:21 UTC (History)
6 users (show)

See Also:
Crash report or crash signature:
Regression By:


Attachments
Test file (10.20 KB, application/vnd.sun.xml.base)
2015-08-05 13:28 UTC, Gerhard Schaber
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Gerhard Schaber 2015-07-29 23:08:17 UTC
With LO 5.0 copying forms in Base does not work anymore. Using embedded database.
Comment 1 Alex Thurgood 2015-07-30 08:14:40 UTC
Confirming on

Version: 5.0.0.4
Build ID: cf112dc905650fb985306a7a03d2fe3fcc6c978f
Locale: fr-FR (fr.UTF-8)

OSX 10.10.4

regression
Comment 2 Alex Thurgood 2015-07-30 08:27:36 UTC
Confirming also in
Version: 5.1.0.0.alpha1+
Build ID: e2281331b1ab40288494ab3659d9c66e13d3e905
Locale : fr-FR (fr.UTF-8)

OSX 10.10.4
Comment 3 Alex Thurgood 2015-07-30 08:39:53 UTC
Works in LO 4422, 4432
Comment 4 Robert Großkopf 2015-07-30 09:20:23 UTC
Could confirm.
There is no possibility to paste the form I have tried to copy with contextmenue or in other way (Ctrl+C).
The same behavior with reports here.

Works right with LO 4.4.5.2 on OpenSUSE 13.2 64bit rpm Linux, fails since LO 5.0.0.4
Comment 5 Gerhard Schaber 2015-08-05 11:58:57 UTC
 6d97afa867b5e600b8251993d389bf41e88ae831 is the first bad commit
commit 6d97afa867b5e600b8251993d389bf41e88ae831
Author: Matthew Francis <mjay.francis@gmail.com>
Date:   Wed May 27 20:09:05 2015 +0800

    source-hash-fb14be5f8f74f83ba89e15f891ddf1f753dcc62f
    
    commit fb14be5f8f74f83ba89e15f891ddf1f753dcc62f
    Author:     Noel Grandin <noel@peralex.com>
    AuthorDate: Thu Mar 12 14:53:28 2015 +0200
    Commit:     Noel Grandin <noel@peralex.com>
    CommitDate: Wed Mar 18 14:23:50 2015 +0200
    
        create new 'enum class' SotClipboardFormatId to unify types
    
        of which there are several.
    
        There are some issues here I am unsure of
        - the SW and SC and CHART2 modules essentially ignore the enum values and assign their own ids
          Perhaps I should change them to use the common values and create new enum values where necessary?
        - the sc/qa/ and sq/qa/ and starmath/qa/ code was doing some dodgy stuff. I translated the code to pass down the stuff
           numeric values to the underlying code, but perhaps further fixing is necessary?
    
        Change-Id: Ic06d723e404481e3f1bca67c43b70321b764d923

:040000 040000 90cec370a34cb9d0565de2fcccf0bd07768ca3ba 1b64b33a6d8f0312b688376ed7ac768ad83f9fa2 M	opt
Comment 6 Julien Nabet 2015-08-05 12:00:46 UTC
Thank you Schaber for your analysis, let's put Noel in cc.
Comment 7 Gerhard Schaber 2015-08-05 12:03:34 UTC
See also one follow up commit, if relevant (I can't tell):
commit 1bcf792993c3d88acfd7ede4567701c5dd6e7e62 (patch)
tdf#92037 fix dragging DataSources field into document
Comment 8 Noel Grandin 2015-08-05 13:19:25 UTC
How do I reproduce this, please? (not being familiar with how forms work in Base).
Comment 9 Gerhard Schaber 2015-08-05 13:28:48 UTC
Created attachment 117666 [details]
Test file

Open the DB file
On the left pane go to Forms
Right-click on Form1 in the middle pane and select Copy
Right-click again

If Paste is there: OK
If Paste is missing: Bug
Comment 10 Julien Nabet 2015-08-05 16:45:25 UTC
On pc Debian x86-64 with master sources updated today, I could reproduce this.

Here are some console logs:
warn:legacy.tools:14360:1:sot/source/base/exchange.cxx:361: SotExchange::GetFormatDataFlavor(): DataFlavor not initialized

(soffice:14360): Gtk-CRITICAL **: gtk_clipboard_set_with_owner: assertion 'targets != NULL' failed
warn:legacy.tools:14360:1:sot/source/base/exchange.cxx:361: SotExchange::GetFormatDataFlavor(): DataFlavor not initialized
warn:legacy.tools:14360:1:sot/source/base/exchange.cxx:361: SotExchange::GetFormatDataFlavor(): DataFlavor not initialized
Comment 11 Julien Nabet 2015-08-05 16:46:48 UTC
Noel: could there be a relation with http://cgit.freedesktop.org/libreoffice/core/commit/?id=1bcf792993c3d88acfd7ede4567701c5dd6e7e62 ?
Comment 12 Julien Nabet 2015-08-05 16:56:05 UTC
I added some traces:
rL.size() = 12
i = 143
that's why bRet is false here http://opengrok.libreoffice.org/xref/core/sot/source/base/exchange.cxx#361

(sorry for my previous comment, I quoted the same commit as comment7)
Comment 13 Commit Notification 2015-08-06 11:57:22 UTC
Noel Grandin committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=f7d65b04126b614bbb0b1bc0e7b6309900d4dc8d

tdf#93018 - Copying forms not working anymore

It will be available in 5.1.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 14 Commit Notification 2015-08-06 12:05:00 UTC
Noel Grandin committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=0c08cb23b4902f19ed0e1050b5c9a52164c0d2ac

tdf#93018 - Copying forms not working anymore (part2)

It will be available in 5.1.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 15 Gerhard Schaber 2015-08-06 15:15:33 UTC
Can other applications or generally other parts be affected as well?
Comment 16 Julien Nabet 2015-08-06 17:30:06 UTC
(In reply to Gerhard Schaber from comment #15)
> Can other applications or generally other parts be affected as well?

I think so.
Noel: do you confirm? BTW, thank you for your quick patches! :-) (I'm building right now to give it a new try, if ok, I'll put VERIFIED + support your patches for 5.0 branch
Comment 17 Gerhard Schaber 2015-08-06 19:44:29 UTC
Thanks for the quick patch.
Comment 18 Julien Nabet 2015-08-07 06:15:34 UTC
On pc Debian x86-64 with master sources updated today, I don't reproduce the problem.
Comment 19 Noel Grandin 2015-08-07 06:21:50 UTC
(In reply to Gerhard Schaber from comment #15)
> Can other applications or generally other parts be affected as well?

Other parts of the LO suite could be impacted in a similar way, yes.
Comment 20 Commit Notification 2015-08-07 12:44:50 UTC
Noel Grandin committed a patch related to this issue.
It has been pushed to "libreoffice-5-0":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=6bc20fff1a1cdd6550e5130356b06de149ee12f6&h=libreoffice-5-0

tdf#93018 - Copying forms not working anymore

It will be available in 5.0.1.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 21 Commit Notification 2015-08-07 12:46:00 UTC
Noel Grandin committed a patch related to this issue.
It has been pushed to "libreoffice-5-0":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=cf6869230c3676db068e774a4e2b0a0e43c85390&h=libreoffice-5-0

tdf#93018 - Copying forms not working anymore (part2)

It will be available in 5.0.1.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 22 Robert Großkopf 2015-08-27 15:38:21 UTC
Could confirm this bug has been gone with LO 5.0.1.2. So I put this bug to Resolved and fixed.
Comment 23 Robinson Tryon (qubit) 2015-12-17 10:29:58 UTC Comment hidden (obsolete)